# Get CRB product record by ID Endpoint: GET /crbs/{crb_id}/products/{product_id} Version: 1.0.0 Security: access_auth ## Path parameters: - `crb_id` (string, required) CRB Id - `product_id` (string, required) Product Id ## Response 200 fields (application/json): - `crb_id` (string, required) - `id` (string, required) - `pos_product_id` (string, required) Product ID in the POS system - `pos_type` (string, required) Enum: "Alleaves", "Dutchie", "Dutchie Wholesale", "Cova", "Meadow", "MJ Freeway", "MJ Freeway Wholesale", "Greenbits", "GrowFlow", "GrowFlow Wholesale", "Portal42", "Metrc S2S", "Metrc S2S Wholesale", "Flourish", "Flourish Wholesale", "Flowhub", "BioTrack", "BioTrack Wholesale", "Treez", "Blaze", "Quickbooks", "Sage Intacct", "Canix", "Brytemap", "POSaBIT", "Proteus420", "IndicaOnline", "Sweed", "Weave", "Jane", "Manual Upload Wholesale", "Cova Test Account", "Leaf Logix Test Account", "BioTrack Test Account", "Mj Freeway Test Account", "Treez IO Test Account", "Green Bits Test Account", "Manual Upload Retail", "Not Configured", "Unsupported", "CRBMonitor" - `name` (string, required) The name of the product. - `gc_product_category_name` (string,null, required) Enum: "flower", "oil/concentrate", "edible", "other", "seedling", "seed", "liquid", "solid", "extract", "plant", "accessory", "marijuana_product", "topical", "edible_liquid" - `pos_product_category_name` (string,null, required) Category name as given by the POS. - `pos_product_subcategory_name` (string,null, required) Subcategory name as given by the POS. - `pos_strain_name` (string,null, required) Strain name as given by the POS. - `pos_brand_name` (string,null, required) Brand name as given by the POS. - `medicated` (boolean,null, required) True or false if this is a THC having marijuana product. - `sku` (string,null, required) The SKU for the product. - `description` (string,null, required) Product description. - `gc_net_weight_grams` (number,null, required) - `pos_unit_of_measure` (string,null, required) The unit of measure of the product as sold by the POS (weight, quantity, etc). - `price` (integer,null, required) - `unit_cost` (number,null, required) - `pos_updated_date` (string,null, required) - `pos_updated_date_local` (string,null, required) - `gc_created_date` (string, required) - `gc_updated_date` (string, required) - `price_tiers` (array,null, required) Price tiers applied to this product. May or may not be provided by the POS system. - `price_tiers.tier_name` (string,null, required) Price Tier name, if any - `price_tiers.tier_price` (integer, required) - `price_tiers.pos_tier_type` (string, required) The type of tier condition from the pos system (like quantity or volume) - `price_tiers.pos_tier_type_condition_value` (string, required) The condition(s) required (based on the tier type) to apply this tier on the product - `price_tiers.tier_valid_until_date` (string,null, required) - `price_tiers.tier_valid_until_date_local` (string,null, required) - `images` (array,null, required) A list of any images associated with this product. - `images.url` (string, required) URL to the image file - `images.description` (string,null, required) Any description provided by the POS like file name, dimensions, product description ## Response 401 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 403 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 404 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 422 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `fields` (object, required) - `stack` (string) - `data` (any)